import os

import header


def erstelleCheckliste(kursid, klassekurs_name, dateien, path, namen, gebdaten, config, inputs, kurs_inputs):

    table = ''

    try:
        check_seiten = int(kurs_inputs["checkliste_seiten"])
    except KeyError:
        print('Der Schlüssel "checkliste_seiten" existiert nicht für die Lerngruppe in der Input-Datei!')
        exit(0)
    if (check_seiten==0):
        check_seiten = 1
        
    check_anzahl = int(config["Checkliste"]["anzahl_checks"])

    try:
        namen_kurzlang = config["Namen"]["form"]
    except KeyError:
        print('Der Schlüssel Namen oder "form" existiert nicht in der Device-Datei!')
        exit(0)    

    if (namen_kurzlang=="lang"):
        beschriftung_name = "Name, Vorname"
    else:
        beschriftung_name = "Vorname N."

    for no in range(check_seiten):

        if (no==0):
            table += '<a name="'+klassekurs_name+'Check"></a>'

        line = 'Checkliste'
        if check_seiten > 1:
            line += 'n'

        table += header.erstelleKursnavigation(kursid, line, 'check', klassekurs_name, gebdaten, dateien, path, config, inputs, kurs_inputs)

        css = 'check'

        table += '<table class="'+css+'" repeat="1">'

        table += '<tr class="header"><th class="nr">Nr</th><th class="name">'+beschriftung_name+'</th>'
        for i in range(check_anzahl):
            table += '<th class="'+css+'"></th>'
        table += '</tr>'

        count = 0
        for name in namen:
            count = count + 1
            table += '<tr><td class="nr">'+str(count)+'</td><td class="name">'+name+'</td>'
            for i in range(check_anzahl):
                table += '<td class="'+css+'"></td>'
            table += '</tr>'

        table += '</table>'

        table += '<pdf:nextpage />'

    return table
